Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::bad_media_type Class Reference

`#include <openvrml/browser.h>`

Inheritance diagram for openvrml::bad_media_type:

[legend]

List of all members.

## Detailed Description

Thrown when an unexpected media type is received.

## Public Member Functions

| bad_media_type (const std::string &received_type) throw ()
| Construct.
virtual | ~bad_media_type () throw ()
| Destroy.

## Constructor & Destructor Documentation

openvrml::bad_media_type::bad_media_type | ( | const std::string & | received_type | ) | throw ()`[explicit]`

Construct.

Parameters:

  `[in]` | received_type | the media type that was unexpectedly received.

openvrml::bad_media_type::~bad_media_type | ( |  | ) | throw ()`[virtual]`

Destroy.